Subject: Re: icmp_unreachable uses wrong ip

From: Hasso Tepper <[email-masked]>
Date: Tue, 3 May 2005 14:00:47 +0300

Lennert Buytenhek wrote:
> The ones I've worked with in the past do, and I just did some
> simple tests (doing traceroute from a foreign IP in a different
> network and looking at the ICMP time-exceededs arriving at that
> foreign IP) to confirm that:
> - Juniper M5 and M20 both running JUNOS 7.0R2.7
> - Cisco 7206VXR and 12k(unsure which model) running unknown IOS versions

I haven't seen JUNOS or IOS versions behave differently.

> - Foundry FastIron 3 (the 15-slot chassis) running BIR06636.bin

I can add to it (probably all) Extreme Networks line. Tested with both 
software lines - Summit 24e3 and Inferno (Black Diamond 6808).

> do all behave opposite of the linux way, i.e. sending ICMPs with (one
> of) the source address(es) of the interface where the original packet
> (that we're sending an ICMP for) came in.

-- 
Hasso Tepper
Elion Enterprises Ltd.
WAN administrator